package com.gz.core.exception;

import com.gz.core.response.CustomResponsInterface;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @description 自定义异常枚举
 * @author LiuChangLan
 * @since 2021/1/26 22:23
 */
@Getter
@AllArgsConstructor
public enum CustomExceptionEnum implements CustomResponsInterface {

    ACCOUNT_OR_PASSWORD_INCORRECT(1000,"用户名不存在、或者密码不正确!"),
    ACCOUNT_DISABLE(1001,"用户已禁用"),
    LOGIN_TIMEOUT(1002,"登录已过期"),
    CAPTCHA_ERROR(1003,"验证码错误"),
    DICT_CODE_EXISTS(1004,"字典编码已存在，请更换"),
    File_NOT_EXISTS(1005,"请选择一个文件"),
    PASSWORD_NO_INCORRECT(1006,"密码不正确");
    ;


    private Integer code;
    private String msg;
}
